
QGIS Application - Bug report #17327

Sorting of input layer Layers in Processing "multiple inputs" widgets

2017-10-25 10:16 AM - Hans Fuchs

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25225

Description

In Processing Tool Box Modules such as Gdal>Misc>Merge, Gdal>Misc>Build Virtual Raster or OTB >Image Manipulation>Images

Concatenation the order of loaded raster layers in the Layers Panel is not correctly transferred to the input images layers list (Mutiple

selection) of the Processing Toolbox modules. The order of the layer is random and cannot be changed which makes these modules

useless.

OSGeo4W QGIS 2.18.13

Related issues:

Related to QGIS Application - Bug report # 17127: Control order by which band... Closed 2017-09-12

Duplicated by QGIS Application - Feature request # 17321: Sorting of layers i... Closed 2017-10-23

Associated revisions

Revision a9d820d3 - 2018-04-19 06:35 AM - Nyall Dawson

[processing] Don't overwrite rows when reordering in multi input

dialog

Refs #17327

Revision 6524cacd - 2018-04-20 10:52 AM - Nyall Dawson

[processing] Don't overwrite rows when reordering in multi input

dialog

Refs #17327

(cherry-picked from a9d820d37)

History

#1 - 2017-10-25 10:40 AM - Giovanni Manghi

- Category changed from Processing/GUI to Processing/Core

- Subject changed from Sorting of Raster Layers in Processing Toolbox Modules to Sorting of input layer Layers in Processing "multiple inputs" widgets

This is pretty much duplicate of #17127 but this is more general.

Is indeed a real issue: in the multiple inputs widgets there is the need to allow sorting of layers and the sorted list then transferred as it is in the command
being executed.

#2 - 2017-10-25 11:55 AM - Nyall Dawson

- Status changed from Open to Feedback

This should be fixed in master - can you confirm?

#3 - 2017-10-26 10:00 AM - Jürgen Fischer

- Related to Bug report #17127: Control order by which bands are stacked added

#4 - 2017-11-10 08:02 AM - Alexander Bruy

- Duplicated by Feature request #17321: Sorting of layers in Processing "multiple input" widget added

#5 - 2017-11-13 12:59 PM - Giovanni Manghi

Nyall Dawson wrote:

This should be fixed in master - can you confirm?

I just checked: is not completely fixed. In the multiple input widget you can as a fact d&d the layers to reorder them but:

    -  having also arrows would be more intuitive for the users

    -  d&d only kind of works: if in the list you d&d a layer over the name of another then one of the two is removed from the list

#6 - 2018-01-22 07:18 AM - Alister Hood

Should we change the status of this to "open", or open a new ticket (or close - I haven't checked if Giovanni's last point is still a problem)?

#7 - 2018-01-22 10:26 PM - Alister Hood

Hi guys, if you are using outputs from several uses of another algorithm (perhaps a smoothing algorithm or gdalwarp), and you drag them around to change

the order, is there any way of knowing which one is which?

See #17928

#8 - 2018-08-23 08:30 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

    -  having also arrows would be more intuitive for the users

    -  d&d only kind of works: if in the list you d&d a layer over the name of another then one of the two is removed from the list

I guess the arrows thing should be a feature request, the second issue seems fixed.
